//
//  UserInfo.h
//  FacebookOAuth
//
//  Created by Reid Simonton on 2/6/14.
//  Copyright (c) 2014 Temboo, Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <JavaScriptCore/JavaScriptCore.h>
#import "FacebookOAuthHelper.h"

// These methods will be exposed to JS
@protocol UserInfoJSExports <JSExport>
-(void)jsLog:(NSString*)msg;
-(void)jsFinalizeOAuth;
@end

@interface UserInfo : UIViewController <UserInfoJSExports, FacebookOAuthHelperDelegate, TMBChoreographyDelegate, UIWebViewDelegate>
@property (nonatomic, readwrite, strong) NSString *authorizationUrl;
@property (nonatomic, readwrite, strong) JSContext *js;
@property (nonatomic, readwrite, strong) FacebookOAuthHelper *oauthHelper;
@property (strong, nonatomic) IBOutlet UIWebView *webView;
@end
